Withdrawal

Get withdrawals handler.

get
/withdrawal
Query parameters
statusstring · enumRequired

The status of the in-flight sBTC withdrawal.

Possible values:
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Withdrawals retrieved successfully

application/json

Response to get withdrawals request.

nextTokenstring · nullableOptional

Next token for the search.

get
/withdrawal

Update withdrawals handler.

put
/withdrawal
Authorizations
x-api-keystringRequired

AWS Apigateway key

Body

Request structure for the create withdrawal request.

Responses
chevron-right
200

Withdrawals updated successfully

application/json

Response to update withdrawals request.

put
/withdrawal

Get withdrawals by recipient handler.

get
/withdrawal/recipient/{recipient}
Path parameters
recipientstringRequired

The recipient's hex-encoded scriptPubKey, used to filter withdrawals.

Query parameters
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Withdrawals retrieved successfully

application/json

Response to get withdrawals request.

nextTokenstring · nullableOptional

Next token for the search.

get
/withdrawal/recipient/{recipient}

Get withdrawals by sender handler.

get
/withdrawal/sender/{sender}
Path parameters
senderstringRequired

The sender's Stacks principal, used to filter withdrawals.

Query parameters
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Withdrawals retrieved successfully

application/json

Response to get withdrawals request.

nextTokenstring · nullableOptional

Next token for the search.

get
/withdrawal/sender/{sender}

Get withdrawal handler.

get
/withdrawal/{id}
Path parameters
idinteger · int64Required

id associated with the Withdrawal

Responses
chevron-right
200

Withdrawal retrieved successfully

application/json

Withdrawal.

amountinteger · int64Required

Amount of BTC being withdrawn in satoshis.

lastUpdateBlockHashstringRequired

The most recent Stacks block hash the API was aware of when the withdrawal was last updated. If the most recent update is tied to an artifact on the Stacks blockchain then this hash is the Stacks block hash that contains that artifact.

lastUpdateHeightinteger · int64Required

The most recent Stacks block height the API was aware of when the withdrawal was last updated. If the most recent update is tied to an artifact on the Stacks blockchain then this height is the Stacks block height that contains that artifact.

recipientstringRequired

The recipient's hex-encoded Bitcoin scriptPubKey.

requestIdinteger · int64Required

The id of the Stacks withdrawal request that initiated the sBTC operation.

senderstringRequired

The sender's hex-encoded Stacks principal.

stacksBlockHashstringRequired

The stacks block hash in which this request id was initiated.

stacksBlockHeightinteger · int64Required

The height of the Stacks block in which this request id was initiated.

statusstring · enumRequired

The status of the in-flight sBTC withdrawal.

Possible values:
statusMessagestringRequired

The status message of the withdrawal.

txidstringRequired

The hex encoded txid of the stacks transaction that generated this event.

get
/withdrawal/{id}

Last updated

Was this helpful?